From 94f41c513be007f380e2c18771ab9d8fd33ecd76 Mon Sep 17 00:00:00 2001
From: Maximilian Downey Twiss <creatorsmithmdt@gmail.com>
Date: Thu, 24 Nov 2022 18:58:44 +1100
Subject: [PATCH 37/56] java: Build SWITCH_EXPR using build2 instead of build3.

gcc/java/ChangeLog:

	* expr.cc (expand_java_switch): Build SWITCH_EXPR using build2 instead of build3.
---
 gcc/java/expr.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gcc/java/expr.cc b/gcc/java/expr.cc
index 80bff58d727..4e212e7ed21 100644
--- a/gcc/java/expr.cc
+++ b/gcc/java/expr.cc
@@ -1887,8 +1887,8 @@ expand_java_switch (tree selector, int default_pc)
   tree switch_expr, x;
 
   flush_quick_stack ();
-  switch_expr = build3 (SWITCH_EXPR, TREE_TYPE (selector), selector,
-			NULL_TREE, NULL_TREE);
+  switch_expr = build2 (SWITCH_EXPR, TREE_TYPE (selector), selector,
+			NULL_TREE);
   java_add_stmt (switch_expr);
 
   x = build_case_label (NULL_TREE, NULL_TREE,
-- 
2.38.1

